%define applewm_version 1.0.3
%define bigreqs_version 1.0.2
%define composite_version 0.4.0
%define damage_version 1.1.0
%define dmx_version 2.2.2
%define evieext_version 1.0.2
%define fixes_version 4.0
%define fontcache_version 0.1.2
%define fonts_version 2.0.2
%define gl_version 1.4.9
%define input_version 1.4.2.1
%define kb_version 1.0.3
%define print_version 1.0.3
%define randr_version 1.2.1
%define record_version 1.13.2
%define render_version 0.9.3
%define resource_version 1.0.2
%define scrnsaver_version 1.1.0
%define trap_version 3.4.3
%define video_version 2.2.2
%define vnc_version 1.0.0
%define windowswm_version 1.0.3
%define xcmisc_version 1.1.2
%define xext_version 7.0.2
%define xf86bigfont_version 1.1.2
%define xf86dga_version 2.0.3
%define xf86dri_version 2.0.3
%define xf86misc_version 0.9.2
%define xf86rush_version 1.1.2
%define xf86vidmode_version 2.2.2
%define xinerama_version 1.1.2
%define xproto_version 7.0.11
%define xproxymanagement_version 1.0.2
%define xcb_version 1.1

Name: x11-proto-devel
Summary: Xorg X11 protocol specification headers
Version: 7.3
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/proto/applewmproto-%{applewm_version}.tar.bz2
Source1: http://xorg.freedesktop.org/releases/individual/proto/bigreqsproto-%{bigreqs_version}.tar.bz2
Source2: http://xorg.freedesktop.org/releases/individual/proto/compositeproto-%{composite_version}.tar.bz2
Source3: http://xorg.freedesktop.org/releases/individual/proto/damageproto-%{damage_version}.tar.bz2
Source4: http://xorg.freedesktop.org/releases/individual/proto/dmxproto-%{dmx_version}.tar.bz2
Source5: http://xorg.freedesktop.org/releases/individual/proto/evieext-%{evieext_version}.tar.bz2
Source6: http://xorg.freedesktop.org/releases/individual/proto/fixesproto-%{fixes_version}.tar.bz2
Source7: http://xorg.freedesktop.org/releases/individual/proto/fontcacheproto-%{fontcache_version}.tar.bz2
Source8: http://xorg.freedesktop.org/releases/individual/proto/fontsproto-%{fonts_version}.tar.bz2
Source9: http://xorg.freedesktop.org/releases/individual/proto/glproto-%{gl_version}.tar.bz2
Source10: http://xorg.freedesktop.org/releases/individual/proto/inputproto-%{input_version}.tar.bz2
Source11: http://xorg.freedesktop.org/releases/individual/proto/kbproto-%{kb_version}.tar.bz2
Source12: http://xorg.freedesktop.org/releases/individual/proto/printproto-%{print_version}.tar.bz2
Source13: http://xorg.freedesktop.org/releases/individual/proto/randrproto-%{randr_version}.tar.bz2
Source14: http://xorg.freedesktop.org/releases/individual/proto/recordproto-%{record_version}.tar.bz2
Source15: http://xorg.freedesktop.org/releases/individual/proto/renderproto-%{render_version}.tar.bz2
Source16: http://xorg.freedesktop.org/releases/individual/proto/resourceproto-%{resource_version}.tar.bz2
Source17: http://xorg.freedesktop.org/releases/individual/proto/scrnsaverproto-%{scrnsaver_version}.tar.bz2
Source18: http://xorg.freedesktop.org/releases/individual/proto/trapproto-%{trap_version}.tar.bz2
Source19: http://xorg.freedesktop.org/releases/individual/proto/videoproto-%{video_version}.tar.bz2
Source20: http://xorg.freedesktop.org/releases/individual/proto/windowswmproto-%{windowswm_version}.tar.bz2
Source21: http://xorg.freedesktop.org/releases/individual/proto/xcmiscproto-%{xcmisc_version}.tar.bz2
Source22: http://xorg.freedesktop.org/releases/individual/proto/xextproto-%{xext_version}.tar.bz2
Source23: http://xorg.freedesktop.org/releases/individual/proto/xf86bigfontproto-%{xf86bigfont_version}.tar.bz2
Source24: http://xorg.freedesktop.org/releases/individual/proto/xf86dgaproto-%{xf86dga_version}.tar.bz2
Source25: http://xorg.freedesktop.org/releases/individual/proto/xf86driproto-%{xf86dri_version}.tar.bz2
Source26: http://xorg.freedesktop.org/releases/individual/proto/xf86miscproto-%{xf86misc_version}.tar.bz2
Source27: http://xorg.freedesktop.org/releases/individual/proto/xf86rushproto-%{xf86rush_version}.tar.bz2
Source28: http://xorg.freedesktop.org/releases/individual/proto/xf86vidmodeproto-%{xf86vidmode_version}.tar.bz2
Source29: http://xorg.freedesktop.org/releases/individual/proto/xineramaproto-%{xinerama_version}.tar.bz2
Source30: http://xorg.freedesktop.org/releases/individual/proto/xproto-%{xproto_version}.tar.bz2
Source31: http://xorg.freedesktop.org/releases/individual/proto/xproxymanagementprotocol-%{xproxymanagement_version}.tar.bz2
Source32: http://xf4vnc.sf.net/vncproto-%{vnc_version}.tar.bz2
Source33: http://xcb.freedesktop.org/dist/xcb-proto-%{xcb_version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-util-macros >= 1.0.1
#gw for the pkgconfig files
#gw FIXME: this creates a circular dep on x11-proto-devel
BuildRequires: libxt-devel
BuildRequires: libxau-devel
#gw this is just for bootstrapping:
#Provides: pkgconfig(xproto) pkgconfig(kbproto) pkgconfig(renderproto)
%define oldxorgnamedevel  %mklibname xorg-x11
Conflicts: %{oldxorgnamedevel}-devel < 7.0

%description
X.Org X11 Protocol headers

%prep
%setup -q -c x11-proto-devel -b1 -b2 -b3 -b4 -b5 -b6 -b7 -b8 -b9 -b10 -b11 -b12 -b13 -b14 -b15 -b16 -b17 -b18 -b19 -b20 -b21 -b22 -b23 -b24 -b25 -b26 -b27 -b28 -b29 -b30 -b31 -b32 -b33

%build
# vncproto is from cvs
pushd vncproto-*
aclocal
automake -a -c
autoconf
popd

for dir in *; do
pushd $dir
./configure 	--prefix=%{_prefix} \
        	--exec-prefix=%{_prefix} \
        	--bindir=%{_bindir} \
        	--sbindir=%{_sbindir} \
        	--sysconfdir=%{_sysconfdir} \
        	--datadir=%{_datadir} \
        	--includedir=%{_includedir} \
        	--libdir=%{_libdir} \
        	--libexecdir=%{_libexecdir} \
        	--mandir=%{_mandir} \
        	--infodir=%{_infodir} 

%make
popd
done

%install
rm -rf %{buildroot}
for dir in *; do
pushd $dir
%makeinstall_std
popd
done

%clean
rm -rf %{buildroot}

%pre 
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files
%defattr(-,root,root)
%dir %{_datadir}/xcb
%{_includedir}/GL/glx*
%{_includedir}/GL/internal/*
%{_includedir}/X11/*.h
%{_includedir}/X11/dri/*
%{_includedir}/X11/extensions/*
%{_includedir}/X11/fonts/*
%{_includedir}/X11/PM/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/xcb/*
# these are doc, but it is not worth creating a doc package to put them in
%{_datadir}/doc/compositeproto/compositeproto.txt
%{_datadir}/doc/damageproto/damageproto.txt
%{_datadir}/doc/randrproto/randrproto.txt
%{_datadir}/doc/renderproto/renderproto.txt


%changelog
* Wed Nov 07 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 7.3-2mdv2008.1
+ Revision: 106781
- new xcb-proto upstream version: 1.1

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update glproto

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 7.3-1mdv2008.1
+ Revision: 98599
- change version so that it reflects the x.org release, not
  the x-server version (as other distros such as fedora)
- added description

* Tue Oct 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.0-1mdv2008.1
+ Revision: 96103
- add missing file
- update inputproto, renderproto, xf86dgaproto & xproto

* Wed Jul 04 2007 Colin Guthrie <cguthrie@mandriva.org> 1.3.0-1mdv2008.0
+ Revision: 48008
- Increment version to 1.3.0 to follow xserver version
- Update compositeproto to 0.4.0


* Thu Mar 01 2007 Colin Guthrie <cguthrie@mandriva.org> 1.2.0-11mdv2007.0
+ Revision: 130270
- Update randrproto to 1.2.1

* Tue Feb 27 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-10mdv2007.1
+ Revision: 126342
- adding RandR proto for the version 1.2 of the extension.
- adding the XCB proto (http://xcb.freedesktop.org)

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.0-9mdv2007.1
+ Revision: 122425
- finally fix buildrequires and enable all pkgconfig provides

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.0-8mdv2007.1
+ Revision: 122383
- add more provides before enabling the right buildrequires

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.0-7mdv2007.1
+ Revision: 122370
- temporarily add pkgconfig(xproto) by and as a provide

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.0-6mdv2007.1
+ Revision: 122369
- add buildrequires on pkgconfig to work around the fucked up build system that doesn't install the latest rpm-mandriva-setup-build

* Sun Feb 18 2007 Colin Guthrie <cguthrie@mandriva.org> 1.2.0-5mdv2007.1
+ Revision: 122352
- Update to inputproto-1.4.1 (fixes bug in DevicePresence())

* Sun Feb 18 2007 Anssi Hannula <anssi@mandriva.org> 1.2.0-4mdv2007.1
+ Revision: 122344
- rebuild to really fix pkgconfig deps

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.0-3mdv2007.1
+ Revision: 122278
- rebuild for pkgconfig deps

* Tue Feb 06 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-2mdv2007.1
+ Revision: 116839
- updated xproto to 7.0.10

* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-1mdv2007.1
+ Revision: 116414
- add missing file from new damageproto
- really add the damageproto tarball
- new damageproto version: 1.1.0
- bump package version to 1.2.0 to follow xserver version

* Tue Jan 09 2007 Colin Guthrie <cguthrie@mandriva.org> 1.0.3-4mdv2007.1
+ Revision: 106813
- Update glproto to 1.4.8 as required by Mesa 6.5.2 and Xorg Xserver 1.1.99.903

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-3mdv2007.1
+ Revision: 85911
- update input and x proto
- sort

  + Christiaan Welvaart <cjw@daneel.dyndns.org>
    - added vnc proto for Xvnc
    - protocol headers for VNC

* Thu Aug 03 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.3-1mdv2007.0
+ Revision: 42998
- new upstream kbproto version (1.0.3):
  * Always define XkbSA_XFree86Private, not only when XFree86Server is defined
- new upstream xproto version:
  * Add Braille keysyms (7.0.6)
  * Add dead_stroke keysym (7.0.7)
- rebuild to fix cooker uploading
- X11R7.1
- increment release
- rollback the glproto version as the compilation fails using the latest
  version
- Adding X.org 7.0 to the repository

  + Laurent Montel <lmontel@mandriva.com>
    - This rpm must be arch'ed (pkg-config files must be installed into /usr/libxx/pkg-config)
      => fix compile error on x86_64
    - Fix conflict on x86_64

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

